Subject: bug#55647: closed (Re: bug#55647: Emacs manual - Change references to "global-set-key" to "keymap-global-set")

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Mar 2025 20:19:02 +0000

Your bug report

#55647: Emacs manual - Change references to "global-set-key" to "keymap-global-set"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55647: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55647
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55647: Emacs manual - Change references to "global-set-key" to "keymap-global-set"
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Dhanvanthri N <[email-masked]>, [email-masked]
Date: Tue, 11 Mar 2025 16:18:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 31.1

>>> I'm not sure how to find all the references to global-set-key in the
>>> documentation;

[...]

> How about waiting with updating all of this documentation on master
> until after Emacs 29 has been released?

Emacs 29.1 was released on 2023-07-30, so I made the change now.

I'm therefore closing this bug report.

Subject: Emacs manual - Change references to "global-set-key" to "keymap-global-set"
From: dhanvanthri <[email-masked]>
To: [email-masked]
Date: Wed, 25 May 2022 18:16:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey there,
     The documentation for global-set-key mentions that it's been 
deprecated in favour of keymap-global-set, however the manual still 
contains references to global-set-key.
     I was not able to find a way to make the changes and submit them, 
and I'm sure there are more references to it than just inside the 
rebinding keys documentation.
     If someone could show me how, I will make the edits myself and 
submit them, else I would really appreciate if someone could do so.

Regards,
-Dhanvanthri